summaryrefslogtreecommitdiff
path: root/source3/script/tests/test_smbtorture_s3.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/tests/test_smbtorture_s3.sh')
-rwxr-xr-xsource3/script/tests/test_smbtorture_s3.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/source3/script/tests/test_smbtorture_s3.sh b/source3/script/tests/test_smbtorture_s3.sh
index 65c98a58ec..07d940faa1 100755
--- a/source3/script/tests/test_smbtorture_s3.sh
+++ b/source3/script/tests/test_smbtorture_s3.sh
@@ -4,7 +4,7 @@
if [ $# -lt 4 ]; then
cat <<EOF
-Usage: test_smbtorture_s3.sh TEST UNC USERNAME PASSWORD <smbtorture args>
+Usage: test_smbtorture_s3.sh TEST UNC USERNAME PASSWORD SMBTORTURE <smbtorture args>
EOF
exit 1;
fi
@@ -13,7 +13,8 @@ t="$1"
unc="$2"
username="$3"
password="$4"
-shift 4
+SMBTORTURE="$5"
+shift 5
ADDARGS="$*"
incdir=`dirname $0`/../../../testprogs/blackbox
@@ -22,6 +23,6 @@ incdir=`dirname $0`/../../../testprogs/blackbox
failed=0
-testit "smbtorture" $VALGRIND $BINDIR/smbtorture $unc -U"$username"%"$password" $ADDARGS $t || failed=`expr $failed + 1`
+testit "smbtorture" $VALGRIND $SMBTORTURE $unc -U"$username"%"$password" $ADDARGS $t || failed=`expr $failed + 1`
testok $0 $failed